__gnu_cxx::array_allocator_base< _Tp >(3cxx)

NAME
__gnu_cxx::array_allocator_base< _Tp >

SYNOPSIS

Inherited by __gnu_cxx::array_allocator< _Tp, _Array >.

  Public Types

typedef const _Tp * const_pointer
typedef const _Tp & const_reference
typedef ptrdiff_t difference_type
typedef _Tp * pointer
typedef _Tp & reference
typedef size_t size_type
typedef _Tp value_type

  Public Member Functions

pointer address (reference __x) const noexcept
const_pointer address (const_reference __x) const noexcept
template<typename _Up , typename... _Args> void construct (_Up *__p, _Args &&... __args)
void deallocate (pointer, size_type)
template<typename _Up > void destroy (_Up *__p)
size_type max_size () const noexcept

Detailed Description

  template<typename _Tp>
class __gnu_cxx::array_allocator_base< _Tp >" Base class.

Definition at line 54 of file array_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.